@charset "utf-8";


/*==================================================
共通　横並びのための設定
===================================*/



.gnavi li a{
    display: block;
    text-decoration: none;
    color: rgb(255, 255, 255);
}

.gnavi li{
    margin-bottom:10px;
}

/*==================================================
　5-3-3 左から右に線が伸びる（下部）
===================================*/
.gnavi li a{
    /*線の基点とするためrelativeを指定*/
	position: relative;
}

.gnavi li.current a,
.gnavi li a:hover{
	color:#ffffff;
}

.gnavi li a::after {
    content: '';
    /*絶対配置で線の位置を決める*/
    position: absolute;
    bottom: 0;
    left: 15%;
    /*線の形状*/
    width: 70%;
    height: 1px;
    background:#ffffff;
    /*アニメーションの指定*/
    transition: all .4s;
    transform: scale(0, 1);/*X方向0、Y方向1*/
    transform-origin: left top;/*左上基点*/
}

/*現在地とhoverの設定*/
.gnavi li.current a::after,
.gnavi li a:hover::after {
    transform: scale(1, 1);/*X方向にスケール拡大*/
}


.hidari {
    animation: hidari 1s both;
}
@keyframes hidari {
    0% {
        transform: translateX(-80px);
    }
    100% {
        transform: translateX(0);
    }
} 

/*#aboutのアニメーションーーーーーーーーーーー*/
.migikara {
    animation: migikara 0.5s both;
}
@keyframes migikara {
    0% {
        opacity: 0;
        transform: translateX(30%);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}
/*ナビの下せんアニメーションーーーーーーーーーー*/

